Sisyphus - bug 386992, not part of the build

This commit is contained in:
bclary@bclary.com 2007-09-28 08:31:05 -07:00
parent f1506e89da
commit 6835f06c82
61 changed files with 512 additions and 448 deletions

View File

@ -45,77 +45,88 @@ source $TEST_BIN/set-build-env.sh $@
case $product in
firefox|thunderbird)
cd $TREE/mozilla
cd $TREE/mozilla
if ! make -f client.mk build 2>&1; then
error "during build"
fi
if ! make -f client.mk build 2>&1; then
case "$OSID" in
mac)
if [[ "$buildtype" == "debug" ]]; then
if [[ "$product" == "firefox" ]]; then
executablepath=$product-$buildtype/dist/FirefoxDebug.app/Contents/MacOS
elif [[ "$product" == "thunderbird" ]]; then
executablepath=$product-$buildtype/dist/ThunderbirdDebug.app/Contents/MacOS
fi
else
if [[ "$product" == "firefox" ]]; then
executablepath=$product-$buildtype/dist/Firefox.app/Contents/MacOS
elif [[ "$product" == "thunderbird" ]]; then
executablepath=$product-$buildtype/dist/Thunderbird.app/Contents/MacOS
fi
fi
;;
"linux")
executablepath=$product-$buildtype/dist/bin
;;
esac
if [[ -z "$TEST_FORCE_CLOBBER_ON_ERROR" ]]; then
error "error during build"
else
echo "error occured during build. attempting a clobber build"
if ! make -f client.mk distclean 2>&1; then
error "error during forced clobber"
fi
if ! make -f client.mk build 2>&1; then
error "error during forced build"
fi
fi
fi
if [[ "$OSID" != "win32" ]]; then
#
# patch unix-like startup scripts to exec instead of
# forking new processes
#
executable=`get_executable $product $branch $executablepath`
if [[ -z "$executable" ]]; then
error "get_executable $product $branch $executablepath returned empty path"
fi
case "$OSID" in
mac)
if [[ "$buildtype" == "debug" ]]; then
if [[ "$product" == "firefox" ]]; then
executablepath=$product-$buildtype/dist/FirefoxDebug.app/Contents/MacOS
elif [[ "$product" == "thunderbird" ]]; then
executablepath=$product-$buildtype/dist/ThunderbirdDebug.app/Contents/MacOS
fi
else
if [[ "$product" == "firefox" ]]; then
executablepath=$product-$buildtype/dist/Firefox.app/Contents/MacOS
elif [[ "$product" == "thunderbird" ]]; then
executablepath=$product-$buildtype/dist/Thunderbird.app/Contents/MacOS
fi
fi
;;
linux)
executablepath=$product-$buildtype/dist/bin
;;
esac
if [[ "$OSID" != "win32" ]]; then
#
# patch unix-like startup scripts to exec instead of
# forking new processes
#
executable=`get_executable $product $branch $executablepath`
if [[ -z "$executable" ]]; then
error "get_executable $product $branch $executablepath returned empty path"
fi
executabledir=`dirname $executable`
executabledir=`dirname $executable`
# patch to use exec to prevent forked processes
cd "$executabledir"
if [ -e "$product" ]; then
echo "$SCRIPT: patching $product"
cp $TEST_BIN/$product.diff .
patch -N -p0 < $product.diff
fi
if [ -e run-mozilla.sh ]; then
echo "$SCRIPT: patching run-mozilla.sh"
cp $TEST_BIN/run-mozilla.diff .
patch -N -p0 < run-mozilla.diff
fi
fi
;;
# patch to use exec to prevent forked processes
cd "$executabledir"
if [ -e "$product" ]; then
echo "$SCRIPT: patching $product"
cp $TEST_BIN/$product.diff .
patch -N -p0 < $product.diff
fi
if [ -e run-mozilla.sh ]; then
echo "$SCRIPT: patching run-mozilla.sh"
cp $TEST_BIN/run-mozilla.diff .
patch -N -p0 < run-mozilla.diff
fi
fi
;;
js)
cd $TREE/mozilla/js/src
cd $TREE/mozilla/js/src
if [[ $buildtype == "debug" ]]; then
export JSBUILDOPT=
else
export JSBUILDOPT=BUILD_OPT=1
fi
if [[ $buildtype == "debug" ]]; then
export JSBUILDOPT=
else
export JSBUILDOPT=BUILD_OPT=1
fi
if ! make -f Makefile.ref ${JSBUILDOPT} clean 2>&1; then
error "during js/src clean"
fi
if ! make -f Makefile.ref ${JSBUILDOPT} clean 2>&1; then
error "during js/src clean"
fi
if ! make -f Makefile.ref ${JSBUILDOPT} 2>&1; then
error "during js/src build"
fi
;;
if ! make -f Makefile.ref ${JSBUILDOPT} 2>&1; then
error "during js/src build"
fi
;;
esac

View File

@ -65,10 +65,11 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 2
exit 1
}
unset products branches buildcommands buildtypes extra extraflag datafiles

View File

@ -62,8 +62,8 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
Checks if the Spider extension is installed either in the named profile
or as a global extension, by attempting up to 3 times to launch the Spider.
@ -77,14 +77,14 @@ EOF
unset product branch executablepath profilename datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
N) profilename=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
N) profilename=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -96,7 +96,7 @@ if [[ -n "$datafiles" ]]; then
fi
if [[ -z "$product" || -z "$branch" || -z "$executablepath" || -z "$profilename" ]];
then
then
usage
fi
@ -105,7 +105,7 @@ if [[ "$product" != "firefox" && "$product" != "thunderbird" ]]; then
fi
if [[ "$branch" != "1.8.0" && "$branch" != "1.8.1" && "$branch" != "1.9.0" ]];
then
then
error "branch \"$branch\" must be one of 1.8.0, 1.8.1, 1.9.0"
fi

View File

@ -41,7 +41,7 @@ TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source /work/mozilla/mozilla.com/test.mozilla.com/www/bin/set-build-env.sh $@
source ${TEST_BIN}/set-build-env.sh $@
if [[ -z "$TREE" ]]; then
error "source tree not specified!"
@ -54,7 +54,7 @@ case $product in
if [[ ! ( -d mozilla && \
-e mozilla/client.mk && \
-e "mozilla/$project/config/mozconfig" ) ]]; then
if ! cvs -z3 -q co $BRANCH_CO_FLAGS \
if ! eval cvs -z3 -q co $BRANCH_CO_FLAGS \
mozilla/client.mk mozilla/$project/config/mozconfig; then
error "during checkout of mozconfig"
fi
@ -65,33 +65,33 @@ case $product in
if ! make -f client.mk checkout 2>&1; then
error "during checkout of tree"
fi
case "$extra" in
jprof)
cvs -z3 -q update -d -P tools/jprof
;;
esac
;;
js)
if [[ ! ( -d mozilla && \
-e mozilla/js && \
-e mozilla/js/src ) ]]; then
cvs -z3 -q co mozilla/js/src
fi
if [[ ! ( -d mozilla && \
-e mozilla/js && \
-e mozilla/js/src ) ]]; then
eval cvs -z3 -q co $BRANCH_CO_FLAGS $DATE_CO_FLAGS mozilla/js/src
fi
cd mozilla/js/src
cd mozilla/js/src
if ! cvs -z3 -q update -d -P 2>&1; then
error "during checkout of js/src"
fi
if ! eval cvs -z3 -q update $BRANCH_CO_FLAGS $DATE_CO_FLAGS -d -P 2>&1; then
error "during checkout of js/src"
fi
if ! cvs -z3 -q update -d -P -A editline config 2>&1; then
error "during checkout of js/src"
fi
# end for js shell
;;
if ! cvs -z3 -q update -d -P -A editline config 2>&1; then
error "during checkout of js/src"
fi
# end for js shell
;;
*)
error "unknown product $product"
;;
error "unknown product $product"
;;
esac

View File

@ -41,22 +41,22 @@ TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
source /work/mozilla/mozilla.com/test.mozilla.com/www/bin/set-build-env.sh $@
source ${TEST_BIN}/set-build-env.sh $@
case $product in
firefox|thunderbird)
cd $TREE/mozilla
cd $TREE/mozilla
if ! make -f client.mk distclean 2>&1; then
error "during client.mk clean"
fi
;;
if ! make -f client.mk clean 2>&1; then
error "during client.mk clean"
fi
;;
js)
cd $TREE/mozilla/js/src
cd $TREE/mozilla/js/src
if ! make -f Makefile.ref clean 2>&1; then
error "during SpiderMonkey clean"
fi
;;
if ! make -f Makefile.ref clean 2>&1; then
error "during SpiderMonkey clean"
fi
;;
esac

View File

@ -12,7 +12,7 @@ done
if [[ $OPTIND -gt 1 ]]; then
shift 2
fi
if [[ -n "$4" ]]; then
for a in $1; do for b in $2; do for c in $3; do for d in $4; do echo $a$delim$b$delim$c$delim$d; done; done; done; done
@ -47,4 +47,5 @@ b-1
b-2
EOF
fi

View File

@ -67,10 +67,10 @@ directories... /grandparent/parent/child.
This script will destroy existing directories and
their contents. It can potentially wipe out your
disk. Use with caution.
******************** WARNING ********************
******************** WARNING ********************
EOF
exit 2
exit 1
}
unset directory
@ -78,15 +78,15 @@ unset directory
rmopt="-i"
while getopts $options optname ;
do
case $optname in
d) directory=$OPTARG;;
n) unset rmopt;;
esac
do
case $optname in
d) directory=$OPTARG;;
n) unset rmopt;;
esac
done
if [[ -z $directory ]]
then
then
usage
fi

View File

@ -64,8 +64,9 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 1
}
@ -73,17 +74,17 @@ EOF
unset product branch executablepath directory profilename profiletemplate user datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
D) directory=$OPTARG;;
N) profilename=$OPTARG;;
L) profiletemplate=$OPTARG;;
U) user=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
D) directory=$OPTARG;;
N) profilename=$OPTARG;;
L) profiletemplate=$OPTARG;;
U) user=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -104,7 +105,7 @@ if [[ "$product" != "firefox" && "$product" != "thunderbird" ]]; then
fi
if [[ "$branch" != "1.8.0" && "$branch" != "1.8.1" && "$branch" != "1.9.0" ]];
then
then
error "branch \"$branch\" must be one of 1.8.0, 1.8.1, 1.9.0"
fi
@ -150,6 +151,3 @@ fi
if [[ ! -z $user ]]; then
cp $user $directory/user.js
fi

View File

@ -62,8 +62,8 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
downloads file from url with optional authentication credentials
saving the file to filepath. If the path to the file does not exist,
@ -71,7 +71,7 @@ it is created. If the download takes longer than timeout seconds,
the download is cancelled.
EOF
exit 2
exit 1
}
unset url credentials filepath timeout datafiles

View File

@ -61,8 +61,9 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 1
}
@ -70,14 +71,14 @@ EOF
unset product branch executablepath talkbackid datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
i) talkbackid=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
i) talkbackid=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -127,75 +128,75 @@ fi
if [[ $talkback -eq 1 ]]; then
# edit to automatically send talkback incidents
if [[ ! -e master.sed ]]; then
#echo "$0: editing talkback master.ini in `pwd`"
#echo "$0: editing talkback master.ini in `pwd`"
cp $TEST_BIN/master.sed .
sed -f master.sed -i.bak master.ini
fi
case $OSID in
win32)
vendorid=`dos2unix < master.ini | grep '^VendorID = "' | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`dos2unix < master.ini | grep '^ProductID = "' | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`dos2unix < master.ini | grep '^PlatformID = "' | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`dos2unix < master.ini | grep '^BuildID = "' | sed 's@BuildID = "\([^"]*\)"@\1@'`
appdata=`cygpath -a -d "$APPDATA"`
talkbackdir="`cygpath -a -u $appdata`/Talkback"
;;
vendorid=`dos2unix < master.ini | grep '^VendorID = "' | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`dos2unix < master.ini | grep '^ProductID = "' | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`dos2unix < master.ini | grep '^PlatformID = "' | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`dos2unix < master.ini | grep '^BuildID = "' | sed 's@BuildID = "\([^"]*\)"@\1@'`
appdata=`cygpath -a -d "$APPDATA"`
talkbackdir="`cygpath -a -u $appdata`/Talkback"
;;
linux)
vendorid=`dos2unix < master.ini | grep '^VendorID = "' | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`dos2unix < master.ini | grep '^ProductID = "' | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`dos2unix < master.ini | grep '^PlatformID = "' | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`dos2unix < master.ini | grep '^BuildID = "' | sed 's@BuildID = "\([^"]*\)"@\1@'`
talkbackdir="$HOME/.fullcircle"
;;
vendorid=`dos2unix < master.ini | grep '^VendorID = "' | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`dos2unix < master.ini | grep '^ProductID = "' | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`dos2unix < master.ini | grep '^PlatformID = "' | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`dos2unix < master.ini | grep '^BuildID = "' | sed 's@BuildID = "\([^"]*\)"@\1@'`
talkbackdir="$HOME/.fullcircle"
;;
mac)
# hack around Mac's use of spaces in directory names
vendorid=`grep '^VendorID = "' master.ini | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`grep '^ProductID = "' master.ini | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`grep '^PlatformID = "' master.ini | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`grep '^BuildID = "' master.ini | sed 's@BuildID = "\([^"]*\)"@\1@'`
talkbackdir="$HOME/Library/Application Support/FullCircle"
IFS=:
;;
# hack around Mac's use of spaces in directory names
vendorid=`grep '^VendorID = "' master.ini | sed 's@VendorID = "\([^"]*\)"@\1@'`
productid=`grep '^ProductID = "' master.ini | sed 's@ProductID = "\([^"]*\)"@\1@'`
platformid=`grep '^PlatformID = "' master.ini | sed 's@PlatformID = "\([^"]*\)"@\1@'`
buildid=`grep '^BuildID = "' master.ini | sed 's@BuildID = "\([^"]*\)"@\1@'`
talkbackdir="$HOME/Library/Application Support/FullCircle"
IFS=:
;;
*)
error "unknown os $OSID"
;;
esac
error "unknown os $OSID"
;;
esac
if [[ -z "$talkbackdir" ]]; then
error "empty talkback directory"
fi
if [[ -z "$talkbackdir" ]]; then
error "empty talkback directory"
fi
mkdir -p "$talkbackdir"
case $OSID in
win32)
mkdir -p "$talkbackdir"
case $OSID in
win32)
talkbackinidir="$talkbackdir/$vendorid/$productid/$platformid/$buildid"
;;
linux | mac )
linux | mac )
talkbackinidir="$talkbackdir/$vendorid$productid$platformid$buildid"
;;
esac
if [[ ! -d "$talkbackinidir" ]]; then
create-directory.sh -d "$talkbackinidir" -n
fi
esac
if [[ ! -d "$talkbackinidir" ]]; then
create-directory.sh -d "$talkbackinidir" -n
fi
cd $talkbackinidir
cd $talkbackinidir
cp /work/mozilla/mozilla.com/test.mozilla.com/www/talkback/$OSID/Talkback.ini .
cp /work/mozilla/mozilla.com/test.mozilla.com/www/talkback/$OSID/Talkback.ini .
case "$OSID" in
win32)
case "$OSID" in
win32)
sed -i.bak "s@URLEdit .*@URLEdit = \"mozqa:$talkbackid\"@" Talkback.ini
;;
linux )
linux )
sed -i.bak "s@URLEditControl .*@URLEditControl = \"mozqa:$talkbackid\"@" Talkback.ini
;;
mac )
mac )
sed -i.bak "s@URLEditControl .*@URLEditControl = \"mozqa:$talkbackid\"@" Talkback.ini
;;
*)
*)
error "unknown os=$OSID"
esac
fi
esac
fi

View File

@ -60,24 +60,24 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 2
exit 1
}
unset product branch executablepath filename datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
f) filename=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
f) filename=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -89,7 +89,7 @@ if [[ -n "$datafiles" ]]; then
fi
if [[ -z "$product" || -z "$branch" || -z "$executablepath" || -z "$filename" ]]
then
then
usage
fi
@ -118,35 +118,35 @@ else
case "$OSID" in
linux)
if echo $filetype | grep -iq 'bzip2'; then
tar -jxvf $filename -C "$executablepath"
elif echo $filetype | grep -iq 'gzip'; then
tar -zxvf $filename -C "$executablepath"
else
error "unknown file type $filetype"
fi
;;
if echo $filetype | grep -iq 'bzip2'; then
tar -jxvf $filename -C "$executablepath"
elif echo $filetype | grep -iq 'gzip'; then
tar -zxvf $filename -C "$executablepath"
else
error "unknown file type $filetype"
fi
;;
mac)
# answer license prompt
result=`${TEST_BIN}/hdiutil-expect.ex $filename`
result=`${TEST_BIN}/hdiutil-expect.ex $filename`
# now get the volume data
#result=`hdiutil attach $filename`
disk=`echo $result | sed 's@.*\(/dev/[^ ]*\).*/dev.*/dev.*@\1@'`
disk=`echo $result | sed 's@.*\(/dev/[^ ]*\).*/dev.*/dev.*@\1@'`
# remove the carriage return inserted by expect
volume=`echo $result | sed "s|[^a-zA-Z0-9/]||g" | sed 's@.*\(/Volumes/.*\)@\1@'`
echo "disk=$disk"
echo "volume=$volume"
if [[ -z "$disk" || -z "$volume" ]]; then
error "mounting disk image: $result"
fi
volume=`echo $result | sed "s|[^a-zA-Z0-9/]||g" | sed 's@.*\(/Volumes/.*\)@\1@'`
echo "disk=$disk"
echo "volume=$volume"
if [[ -z "$disk" || -z "$volume" ]]; then
error "mounting disk image: $result"
fi
for app in $volume/*.app; do
cp -R $app $executablepath
done
for app in $volume/*.app; do
cp -R $app $executablepath
done
hdiutil detach $disk
;;
hdiutil detach $disk
;;
esac
#

View File

@ -65,8 +65,8 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 1
@ -75,15 +75,15 @@ EOF
unset product branch executablepath profilename extensions datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
N) profilename=$OPTARG;;
E) extensions=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
N) profilename=$OPTARG;;
E) extensions=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -104,7 +104,7 @@ if [[ "$product" != "firefox" && "$product" != "thunderbird" ]]; then
fi
if [[ "$branch" != "1.8.0" && "$branch" != "1.8.1" && "$branch" != "1.9.0" ]];
then
then
error "branch \"$branch\" must be one of 1.8.0, 1.8.1, 1.9.0"
fi
@ -149,7 +149,10 @@ for extension in $extensions/$OSID/*; do
fi
echo installing $extension
$TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"
if ! $TEST_BIN/timed_run.py ${TEST_STARTUP_TIMEOUT} "-" $executable -P $profilename -install-global-extension "$extensionos"; then
error "Failed to install $extensionos"
fi
done
# restart twice to make extension manager happy

View File

@ -61,8 +61,8 @@ variable description
environment
variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
EOF
exit 1
@ -71,14 +71,14 @@ EOF
unset product branch executablepath directory datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
D) directory=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
D) directory=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables

View File

@ -54,25 +54,26 @@ if [[ -n "$DEBUG" ]]; then
fi
if [[ -z "$LIBRARYSH" ]]; then
LIBRARYSH=1
# export variables
# export variables
set -a
# make pipelines return exit code of intermediate steps
# requires bash 3.x
# make pipelines return exit code of intermediate steps
# requires bash 3.x
set -o pipefail
# set time format for pipeline timing reports
# set time format for pipeline timing reports
TIMEFORMAT="Elapsed time %0R seconds, User %0U seconds, System %0S seconds, CPU %P%%"
MALLOC_CHECK_=2
ulimit -c 0
# debug msg
#
# output debugging message to stdout if $DEBUG is set
# debug msg
#
# output debugging message to stdout if $DEBUG is set
DEBUG=${DEBUG:-""}
@ -83,9 +84,9 @@ if [[ -z "$LIBRARYSH" ]]; then
fi
}
# console msg
#
# output message to console, ie. stderr
# console msg
#
# output message to console, ie. stderr
console()
{
@ -93,8 +94,8 @@ if [[ -z "$LIBRARYSH" ]]; then
}
# error message
# output error message end exit 2
# error message
# output error message end exit 2
error()
{
@ -105,19 +106,19 @@ if [[ -z "$LIBRARYSH" ]]; then
exit 2
}
# dumpenvironment
#
# output environment to stdout
# dumpenvironment
#
# output environment to stdout
dumpenvironment()
{
set | grep '^[A-Z]' | sed 's|^|environment: |'
}
# dumpvars varname1, ...
#
# dumps name=value pairs to stdout for each variable named
# in argument list
# dumpvars varname1, ...
#
# dumps name=value pairs to stdout for each variable named
# in argument list
dumpvars()
{
@ -131,9 +132,9 @@ if [[ -z "$LIBRARYSH" ]]; then
done
}
# get_executable product branch directory
#
# writes path to product executable to stdout
# get_executable product branch directory
#
# writes path to product executable to stdout
get_executable()
{
@ -148,87 +149,88 @@ if [[ -z "$LIBRARYSH" ]]; then
elif [[ ! -d "$get_executable_directory" ]]; then
error "get_executable: executable directory \"$get_executable_directory\" does not exist"
else
# should use /u+x,g+x,a+x but mac os x uses an obsolete find
# filter the output to remove extraneous file in dist/bin for
# cvs builds on mac os x.
# should use /u+x,g+x,a+x but mac os x uses an obsolete find
# filter the output to remove extraneous file in dist/bin for
# cvs builds on mac os x.
get_executable_name="$get_executable_product${EXE_EXT}"
case "$OSID" in
mac)
get_executable_filter="Contents/MacOS/$get_executable_product"
if [[ "$get_executable_product" == "thunderbird" ]]; then
get_executable_name="$get_executable_product-bin"
fi
;;
*)
get_executable_filter="$get_executable_product"
esac
if find "$get_executable_directory" -perm +111 -type f \
-name "$get_executable_name" | \
grep "$get_executable_filter"; then
true
fi
fi
}
if [[ "$0" == "-bash" || "$0" == "bash" ]]; then
SCRIPT="library.sh"
else
SCRIPT=`basename $0`
get_executable_filter="Contents/MacOS/$get_executable_product"
if [[ "$get_executable_product" == "thunderbird" ]]; then
get_executable_name="$get_executable_product-bin"
fi
;;
*)
get_executable_filter="$get_executable_product"
esac
if find "$get_executable_directory" -perm +111 -type f \
-name "$get_executable_name" | \
grep "$get_executable_filter"; then
true
fi
fi
}
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_HTTP=${TEST_HTTP:-test.mozilla.com}
TEST_STARTUP_TIMEOUT=${TEST_STARTUP_TIMEOUT:-30}
if [[ "$0" == "-bash" || "$0" == "bash" ]]; then
SCRIPT="library.sh"
else
SCRIPT=`basename $0`
fi
TEST_TIMEZONE=`date +%z`
TEST_DIR=${TEST_DIR:-/work/mozilla/mozilla.com/test.mozilla.com/www}
TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
TEST_HTTP=${TEST_HTTP:-test.mozilla.com}
TEST_STARTUP_TIMEOUT=${TEST_STARTUP_TIMEOUT:-30}
TEST_MACHINE=`uname -n`
TEST_KERNEL=`uname -r`
TEST_PROCESSORTYPE=`uname -p`
TEST_TIMEZONE=`date +%z`
TEST_MACHINE=`uname -n`
TEST_KERNEL=`uname -r`
TEST_PROCESSORTYPE=`uname -p`
# set path to make life easier
if ! echo ${PATH} | grep -q $TEST_BIN; then
PATH=${TEST_BIN}:$PATH
fi
if ! echo ${PATH} | grep -q $TEST_BIN; then
PATH=${TEST_BIN}:$PATH
fi
if echo $OSTYPE | grep -iq cygwin; then
OSID=win32
EXE_EXT=".exe"
elif echo $OSTYPE | grep -iq Linux; then
OSID=linux
EXE_EXT=
elif echo $OSTYPE | grep -iq darwin; then
OSID=mac
EXE_EXT=
else
error "Unknown OS $OSTYPE"
fi
if echo $OSTYPE | grep -iq cygwin; then
OSID=win32
EXE_EXT=".exe"
elif echo $OSTYPE | grep -iq Linux; then
OSID=linux
EXE_EXT=
elif echo $OSTYPE | grep -iq darwin; then
OSID=mac
EXE_EXT=
else
error "Unknown OS $OSTYPE"
fi
# save starting directory
STARTDIR=`pwd`
STARTDIR=`pwd`
# location of the script.
SCRIPTDIR=`dirname $0`
SCRIPTDIR=`dirname $0`
# don't attach to running instance
MOZ_NO_REMOTE=1
MOZ_NO_REMOTE=1
# don't restart
NO_EM_RESTART=1
NO_EM_RESTART=1
# bypass profile manager
MOZ_BYPASS_PROFILE_AT_STARTUP=1
MOZ_BYPASS_PROFILE_AT_STARTUP=1
# ah crap handler timeout
MOZ_GDB_SLEEP=10
MOZ_GDB_SLEEP=10
# no dialogs on asserts
XPCOM_DEBUG_BREAK=warn
XPCOM_DEBUG_BREAK=${XPCOM_DEBUG_BREAK:-warn}
# no airbag
unset MOZ_AIRBAG
MOZ_CRASHREPORTER_DISABLE=1
unset MOZ_AIRBAG
MOZ_CRASHREPORTER_DISABLE=1
MOZ_CRASHREPORTER_NO_REPORT=1
#leak gauge
#NSPR_LOG_MODULES=DOMLeak:5,DocumentLeak:5,nsDocShellLeak:5

View File

@ -1,6 +1,6 @@
#!/usr/local/bin/bash -e
# -*- Mode: Shell-script; tab-width: 4; indent-tabs-mode: nil; -*-
for var in `echo ${!TEST_*}`; do
for var in `echo ${!TEST_*}`; do
echo ${var}=${!var} >> $TEST_LOG
done
done

View File

@ -70,8 +70,8 @@ myexit()
case $0 in
*bash*)
# prevent "sourced" script calls from
# exiting the current shell.
# prevent "sourced" script calls from
# exiting the current shell.
break 99;;
*)
exit $myexit_status;;
@ -92,7 +92,7 @@ for step in step1; do # dummy loop for handling exits
esac
done
# echo product=$product, branch=$branch, buildtype=$buildtype, extra=$extra
# echo product=$product, branch=$branch, buildtype=$buildtype, extra=$extra
if [[ -z "$product" || -z "$branch" || -z "$buildtype" ]]; then
echo -n "missing"
@ -106,7 +106,7 @@ for step in step1; do # dummy loop for handling exits
echo -n " -T buildtype"
fi
usage
myexit 2
myexit 1
fi
if [[ $branch == "1.8.0" ]]; then
@ -117,12 +117,15 @@ for step in step1; do # dummy loop for handling exits
export BRANCH_CO_FLAGS="";
else
echo "Unknown branch: $branch"
myexit 2
myexit 1
fi
if [[ -n "$MOZ_CO_DATE" ]]; then
export DATE_CO_FLAGS="-D $MOZ_CO_DATE"
fi
if [[ -n "$WINDIR" ]] ; then
OSID=win32
# app=bin
export platform=i686
if echo $branch | egrep -q '^1\.8'; then
@ -148,22 +151,24 @@ for step in step1; do # dummy loop for handling exits
else
export TREE="$BUILDDIR/$branch-$extra"
#
# extras can't be placed in mozconfigs since not all parts
# of the build system use mozconfig (e.g. js shell) and since
# the obj directory is not configurable for them as well thus
# requiring separate source trees
#
#
# extras can't be placed in mozconfigs since not all parts
# of the build system use mozconfig (e.g. js shell) and since
# the obj directory is not configurable for them as well thus
# requiring separate source trees
#
if [[ "$extra" == "too-much-gc" ]]; then
case "$extra" in
too-much-gc)
export XCFLAGS="-DWAY_TOO_MUCH_GC=1"
export CFLAGS="-DWAY_TOO_MUCH_GC=1"
export CXXFLAGS="-DWAY_TOO_MUCH_GC=1"
elif [[ "$extra" == "gcov" ]]; then
;;
gcov)
if [[ "$OSID" == "win32" ]]; then
echo "win32 does not support gcov"
myexit 2
myexit 1
fi
export CFLAGS="--coverage"
export CXXFLAGS="--coverage"
@ -171,7 +176,10 @@ for step in step1; do # dummy loop for handling exits
export OS_CFLAGS="--coverage"
export LDFLAGS="--coverage"
export XLDOPTS="--coverage"
fi
;;
jprof)
;;
esac
fi
if [[ ! -d $TREE ]]; then
@ -202,8 +210,8 @@ for step in step1; do # dummy loop for handling exits
case "$OSID" in
mac)
export JS_EDITLINE=1 # required for mac
;;
export JS_EDITLINE=1 # required for mac
;;
esac
# end js shell builds

View File

@ -79,14 +79,14 @@ $VSINSTALLDIR_cyg/Common7/Tools/bin:\
$MOZ_TOOLS/bin:\
$PATH"
export INCLUDE="\
export INCLUDE="\
$MSVCDir\ATLMFC\INCLUDE;\
$MSVCDir\INCLUDE;\
$PlatformSDKDir\include;\
$FrameworkSDKDir\include;\
$INCLUDE"
export LIB="\
export LIB="\
$MSVCDir\ATLMFC\LIB;\
$MSVCDir\LIB;\
$PlatformSDKDir\lib;\

View File

@ -41,8 +41,8 @@ TEST_BIN=${TEST_BIN:-$TEST_DIR/bin}
source ${TEST_BIN}/library.sh
if [[ -z "$1" ]]; then
echo smoke-build.sh directorypattern
exit 2
echo smoke-build.sh directorypattern
exit 1
fi
for filepath in $@; do

View File

@ -73,32 +73,33 @@ variable description
-x executablepath optional. directory tree containing executable with same
name as product. If the build is downloaded and executable
path is not specified, it will be defaulted to
/tmp/\$product-\$branch.
For cvs builds it will be defaulted to the appropriate
directory in
/work/mozilla/builds/\$branch/mozilla/\$product-\$buildtype/
-N profilename optional. profilename. profilename is required if
profiledirectory or extensiondir are specified.
-D profiledirectory optional. If profiledirectory is specified, a new profile
will be created in the directory.
-L profiletemplate optional. If a new profile is created, profiletemplate is
the path to an existing profile which will be copied over
the new profile.
-U userpreferences optional. If a new profile is created, userpreferences is
the path to a user.js file to be copied into the new
profile.
If userpreferences is not specified when a new profile is
created, it is defaulted to
/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
-E extensiondir optional. path to directory tree containing extensions to
be installed.
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
/tmp/\$product-\$branch.
For cvs builds it will be defaulted to the appropriate
directory in
/work/mozilla/builds/\$branch/mozilla/\$product-\$buildtype/
-N profilename optional. profilename. profilename is required if
profiledirectory or extensiondir are specified.
-D profiledirectory optional. If profiledirectory is specified, a new profile
will be created in the directory.
-L profiletemplate optional. If a new profile is created, profiletemplate is
the path to an existing profile which will be copied over
the new profile.
-U userpreferences optional. If a new profile is created, userpreferences is
the path to a user.js file to be copied into the new
profile.
If userpreferences is not specified when a new profile is
created, it is defaulted to
/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
-E extensiondir optional. path to directory tree containing extensions to
be installed.
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same
names as in the "variable" column.
EOF
exit 2
exit 1
}
unset product branch url filepath credentials buildcommands buildtype executablepath profilename profiledirectory profiletemplate userpreferences extenstiondir datafiles
@ -262,6 +263,6 @@ if [[ -n "$extensiondir" ]]; then
fi

View File

@ -59,15 +59,13 @@ variable description
=============== ===========================================================
-t testscript required. quoted test script with required arguments.
executes the testscript using the input data files in
$TEST_DIR/data constructed from each
combination of the input parameters:
$TEST_DIR/data constructed from each combination of the input parameters:
{item1},{item2},{item3},{item4}
EOF
exit 2
exit 1
}
unset testscript testargs

View File

@ -59,8 +59,8 @@ variable description
-d datafiles optional. one or more filenames of files containing
environment variable definitions to be included.
note that the environment variables should have the same
names as in the "variable" column.
note that the environment variables should have the same names as in the
"variable" column.
Uninstalls build located in directory-tree 'executablepath'
then removes the directory upon completion.
@ -72,13 +72,13 @@ EOF
unset product branch executablepath datafiles
while getopts $options optname ;
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
d) datafiles=$OPTARG;;
esac
do
case $optname in
p) product=$OPTARG;;
b) branch=$OPTARG;;
x) executablepath=$OPTARG;;
d) datafiles=$OPTARG;;
esac
done
# include environment variables
@ -90,7 +90,7 @@ if [[ -n "$datafiles" ]]; then
fi
if [[ -z "$product" || -z "$branch" || -z "$executablepath" ]]
then
then
usage
fi
@ -120,7 +120,7 @@ if [[ $OSID == "win32" ]]; then
uninstallini="$executabledir/uninstall/uninstall.ini"
if [[ -n "$uninstallexe" && -e "$uninstallexe" ]]; then
if sed -i.bak 's/Run Mode=Normal/Run Mode=Silent/' $uninstallini;
then
then
# uninstall.exe will return non zero exit codes
# for no damn reason.
if $uninstallexe; then

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.4-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.4-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.4-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.7-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.win32.zip
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all.html
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all.html
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all.html
allurl=http://www.mozilla.com/en-US/firefox/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/firefox/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/1.5.0.12-candidates/rc2/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.4/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.4/linux-i686/en-US/firefox-2.0.0.4.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.4/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.4/mac/en-US/Firefox%202.0.0.4.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://stage.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.4/
allurl=http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/2.0.0.7/
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.4/win32/en-US/Firefox%20Setup%202.0.0.4.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all.html
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all.html
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all.html
allurl=http://www.mozilla.com/en-US/thunderbird/all.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/linux-i686/en-US/firefox-2.0.0.3.tar.gz
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/linux-i686/en-US/firefox-2.0.0.7.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/mac/en-US/Firefox%202.0.0.3.dmg
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/mac/en-US/Firefox%202.0.0.7.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,7 +1,7 @@
allurl=http://khan.landfill.bugzilla.org/en-US/thunderbird/all-older.html
product=firefox
branch=1.8.1
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.3/win32/en-US/Firefox%20Setup%202.0.0.3.exe
url=http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.7/win32/en-US/Firefox%20Setup%202.0.0.7.exe
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.13pre.en-US.linux-i686.tar.gz
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.linux-i686.tar.gz
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.13pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.mac.dmg
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.13pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8.0/firefox-1.5.0.14pre.en-US.win32.zip
profilename=firefox-1.8.0-profile
profiledirectory=/tmp/firefox-1.8.0-profile
executablepath=/tmp/firefox-1.8.0

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.1
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.5pre.en-US.linux-i686.tar.gz
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.linux-i686.tar.gz
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.1
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.5pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.mac.dmg
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.8.1
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.5pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8/firefox-2.0.0.8pre.en-US.win32.zip
profilename=firefox-1.8.1-profile
profiledirectory=/tmp/firefox-1.8.1-profile
executablepath=/tmp/firefox-1.8.1

View File

@ -0,0 +1,8 @@
product=firefox
branch=1.8.1
profilename=firefox-1.8.1-too-much-gc-profile
profiledirectory=/tmp/firefox-1.8.1-too-much-gc-profile
executablepath=/work/mozilla/builds/1.8.1-too-much-gc/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
buildtype=debug

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.9.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a7pre.en-US.linux-i686.tar.bz2
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.linux-i686.tar.bz2
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.9.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a7pre.en-US.mac.dmg
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.mac.dmg
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0

View File

@ -1,6 +1,6 @@
product=firefox
branch=1.9.0
url=http://stage.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a7pre.en-US.win32.zip
url=http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-3.0a9pre.en-US.win32.zip
profilename=firefox-1.9.0-profile
profiledirectory=/tmp/firefox-1.9.0-profile
executablepath=/tmp/firefox-1.9.0

View File

@ -0,0 +1,8 @@
product=firefox
branch=1.9.0
profilename=firefox-1.9.0-too-much-gc-profile
profiledirectory=/tmp/firefox-1.9.0-too-much-gc-profile
executablepath=/work/mozilla/builds/1.9.0-too-much-gc/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
buildtype=debug

View File

@ -0,0 +1,8 @@
product=firefox
branch=1.9.0
profilename=firefox-1.9.0-jprof-profile
profiledirectory=/tmp/firefox-1.9.0-jprof-profile
executablepath=/work/mozilla/builds/1.9.0-jprof/mozilla/firefox-debug/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
buildtype=debug

View File

@ -0,0 +1,8 @@
product=firefox
branch=1.9.0
profilename=firefox-1.9.0-jprof-profile
profiledirectory=/tmp/firefox-1.9.0-jprof-profile
executablepath=/work/mozilla/builds/1.9.0-jprof/mozilla/firefox-opt/dist
userpreferences=/work/mozilla/mozilla.com/test.mozilla.com/www/prefs/test-user.js
extensiondir=/work/mozilla/mozilla.com/test.mozilla.com/www/xpi
buildtype=opt

View File

@ -0,0 +1,4 @@
product=js
branch=1.8.1
sourcepath=/work/mozilla/builds/1.8.1-too-much-gc/mozilla/js/src
buildtype=debug

View File

@ -0,0 +1,4 @@
product=js
branch=1.9.0
sourcepath=/work/mozilla/builds/1.9.0-too-much-gc/mozilla/js/src
buildtype=debug

View File

@ -83,13 +83,13 @@ executable=`get_executable $product $branch $executablepath`
urlfile=`mktemp /tmp/URLS.XXXX`
if [[ "$test" == "all" ]]; then
$timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
$TEST_BIN/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
"$executable" -P "$profilename" -spider -start -quit \
-uri "$allurl" -timeout=$TEST_DOWNLOAD_PAGE_TIMEOUT \
-hook "http://$TEST_HTTP/tests/mozilla.org/download-page/collect-urls-userhook.js" | \
grep 'href: ' | sed 's/^href: //' > $urlfile
elif [[ "$test" == "ftp" ]]; then
$timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
$TEST_BIN/timed_run.py $TEST_DOWNLOAD_PAGE_TIMEOUT "test download" \
"$executable" -P "$profilename" -spider -start -quit \
-uri "$allurl" -timeout=$TEST_DOWNLOAD_PAGE_TIMEOUT \
-hook "http://$TEST_HTTP/tests/mozilla.org/download-page/userhook-ftp.js" | \